Subject: Re: Dynamic v. static entries

From: Olafur Gudmundsson <[email-masked]> (by way of Olafur Gudmundsson <[email-masked]>)
Date: Wed, 02 Jun 1999 18:16:42 -0400

Cricket and I think this needs wider audience and I wonder if people have the
same reaction as we did. 

"Cricket Liu" writes:
 > Hi, folks.
 > 
 > I just got back from a customer who's planning an extensive Windows 2000
 > rollout, and I'm beginning to see just how important it'll be to have a
 > feature in BIND to make part (i.e., certain domain names or RRs) of a
 > dynamic zone static.
 > 
 > We found that the Microsoft DHCP Server in Windows 2000 will just delete A
 > RRs attached to a name if it wants to add an A RR to the name.  Here's an
 > example:  You boot DHCP client foo, and foo gets IP address 192.168.1.2.
 > Unfortunately, you've already got a server in the zone called foo.  Whether
 > you've given the DHCP client or the server responsibility for adding DHCP
 > client foo's A RR, server foo's A RR gets deleted.  Yuck.

I see two problems with this behavior, 

This is a protocol violation. 
DHCP server SHOULD/MUST NOT delete data that it is not the source of. 

This is a serious security risk, any dynamically configured machine can 
now take out a series of servers by simply 
changing it's hostname and doing DHCP DISCOVER. WOW!!!

	Olafur

---

From: Christian Kuhtz <[email-masked]>
Date: Thu, 3 Jun 1999 00:56:57 -0400

I'll open a ticket against it through the beta program, unless somebody beats
me to it.  Any objections?

-- 
Christian Kuhtz, Sr. Network Architect                    BellSouth Corporation
<[email-masked]> -wk, <[email-masked]> -hm            Advanced Data Services
"Affiliation given for identification, not representation."   Atlanta, GA, U.S.